# layer_polygon.cpp File Reference

Implementation of the "Polygon" layer. More...

`#include "layer_polygon.h"`
`#include "string.h"`
`#include "time.h"`
`#include "context.h"`
`#include "paramdesc.h"`
`#include "renddesc.h"`
`#include "surface.h"`
`#include "value.h"`
`#include "valuenode.h"`
`#include <vector>`
`#include <deque>`

## Functions

| SYNFIG_LAYER_INIT (Layer_Polygon)
| SYNFIG_LAYER_SET_NAME (Layer_Polygon,"polygon")
| SYNFIG_LAYER_SET_LOCAL_NAME (Layer_Polygon, N_("Polygon"))
| SYNFIG_LAYER_SET_CATEGORY (Layer_Polygon, N_("Geometry"))
| SYNFIG_LAYER_SET_VERSION (Layer_Polygon,"0.1")
| SYNFIG_LAYER_SET_CVS_ID (Layer_Polygon,"$Id$")

## Detailed Description

Implementation of the "Polygon" layer.

$Id$

## Function Documentation

SYNFIG_LAYER_INIT | ( | Layer_Polygon |  | ) |

SYNFIG_LAYER_SET_NAME | ( | Layer_Polygon | ,
|  | "polygon" |  |
| ) |  |  |

SYNFIG_LAYER_SET_LOCAL_NAME | ( | Layer_Polygon | ,
|  | N_("Polygon") |  |
| ) |  |  |

SYNFIG_LAYER_SET_CATEGORY | ( | Layer_Polygon | ,
|  | N_("Geometry") |  |
| ) |  |  |

SYNFIG_LAYER_SET_VERSION | ( | Layer_Polygon | ,
|  | "0.1" |  |
| ) |  |  |

SYNFIG_LAYER_SET_CVS_ID | ( | Layer_Polygon | ,
|  | "$Id$" |  |
| ) |  |  |